# Class TCLIService.Processor.CloseSession<I extends TCLIService.Iface>

java.lang.Object
org.apache.thrift.ProcessFunction<I,TCLIService.CloseSession_args>
com.databricks.jdbc.model.client.thrift.generated.TCLIService.Processor.CloseSession<I>

Enclosing class:
  `TCLIService.Processor<I extends TCLIService.Iface>`

public static class TCLIService.Processor.CloseSession<I extends TCLIService.Iface> extends org.apache.thrift.ProcessFunction<I,TCLIService.CloseSession_args>

## Constructor Summary

Constructors
Constructor
Description
`CloseSession()`

## Method Summary

Modifier and Type
Method
Description
`TCLIService.CloseSession_args`
`getEmptyArgsInstance()`
`TCLIService.CloseSession_result`
`getResult(I iface, TCLIService.CloseSession_args args)`
`protected boolean`
`isOneway()`
`protected boolean`
`rethrowUnhandledExceptions()`

### Methods inherited from class org.apache.thrift.ProcessFunction

`getMethodName, process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CloseSession

public CloseSession()

## Method Details

### getEmptyArgsInstance

public TCLIService.CloseSession_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.ProcessFunction<I extends TCLIService.Iface,TCLIService.CloseSession_args>`

### isOneway

protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.ProcessFunction<I extends TCLIService.Iface,TCLIService.CloseSession_args>`

### rethrowUnhandledExceptions

protected boolean rethrowUnhandledExceptions()

Overrides:
  `rethrowUnhandledExceptions` in class `org.apache.thrift.ProcessFunction<I extends TCLIService.Iface,TCLIService.CloseSession_args>`

### getResult

public TCLIService.CloseSession_result getResult(I iface, TCLIService.CloseSession_args args) throws org.apache.thrift.TException

Specified by:
  `getResult` in class `org.apache.thrift.ProcessFunction<I extends TCLIService.Iface,TCLIService.CloseSession_args>`
Throws:
  `org.apache.thrift.TException`